Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.soyc.coderef
Class FieldDescriptor

    java.lang.Object
      com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
          com.google.gwt.core.ext.soyc.coderef.MemberDescriptor
              com.google.gwt.core.ext.soyc.coderef.FieldDescriptor

    public class FieldDescriptor

extends MemberDescriptor

Represents a field.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`EntityDescriptor.Fragment`

Field Summary

Fields inherited from class com.google.gwt.core.ext.soyc.coderef.MemberDescriptor
`enclosingClassDescriptor, type`

Fields inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`fragments, name, obfuscatedNames`

Constructor Summary
`FieldDescriptor(ClassDescriptor classDescriptor, java.lang.String name, java.lang.String type)`

Method Summary
`static FieldDescriptor` | `from(ClassDescriptor classDescriptor, com.google.gwt.dev.jjs.ast.JField jField)` Creates a field descriptor from a JField and set its enclosing class.
`com.google.gwt.dev.jjs.ast.JField` | `getFieldReference()`
`java.lang.String` | `getJsniSignature()` The signature of the member.

Methods inherited from class com.google.gwt.core.ext.soyc.coderef.MemberDescriptor
`getEnclosingClassDescriptor, getFullName, getType`

Methods inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`addFragment, addObfuscatedName, getFragments, getName, getObfuscatedNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldDescriptor

    public FieldDescriptor(ClassDescriptor classDescriptor,
                           java.lang.String name,
                           java.lang.String type)

Method Detail

### from

    public static FieldDescriptor from(ClassDescriptor classDescriptor,
                                       com.google.gwt.dev.jjs.ast.JField jField)

  Creates a field descriptor from a JField and set its enclosing class.

### getFieldReference

    public com.google.gwt.dev.jjs.ast.JField getFieldReference()

### getJsniSignature

    public java.lang.String getJsniSignature()

  Description copied from class: `MemberDescriptor`
  The signature of the member.

  Specified by:
    `getJsniSignature` in class `MemberDescriptor`
  Returns:
    The member name plus its signature

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD